Uses of Interface
net.officefloor.web.template.build.WebTemplate
Packages that use WebTemplate
Package
Description
-
Uses of WebTemplate in net.officefloor.web.template.build
Classes in net.officefloor.web.template.build that implement WebTemplateMethods in net.officefloor.web.template.build that return WebTemplateModifier and TypeMethodDescriptionWebTemplate.addGovernance(OfficeGovernance governance) AddsGovernancefor thisWebTemplate.AbstractWebTemplate.addRenderHttpMethod(String httpMethodName) WebTemplate.addRenderHttpMethod(String httpMethodName) Adds aHttpMethodthat will render theWebTemplate.AbstractWebTemplateFactory.addTemplate(boolean isSecure, String applicationPath, Reader templateContent) AbstractWebTemplateFactory.addTemplate(boolean isSecure, String applicationPath, String locationOfTemplate) protected abstract WebTemplateAbstractWebTemplateFactory.addTemplate(boolean isSecure, String applicationPath, PropertyList properties) Adds theWebTemplate.protected WebTemplateWebTemplateArchitectEmployer.addTemplate(boolean isSecure, String applicationPath, PropertyList properties) WebTemplateFactory.addTemplate(boolean isSecure, String applicationPath, Reader templateContent) Adds aWebTemplate.WebTemplateFactory.addTemplate(boolean isSecure, String applicationPath, String locationOfTemplate) Adds aWebTemplate.AbstractWebTemplate.setCharset(String charsetName) WebTemplate.setCharset(String charsetName) Allow overriding the defaultCharsetto render theWebTemplate.AbstractWebTemplate.setContentType(String contentType) WebTemplate.setContentType(String contentType) Specifies theContent-Typeoutput by thisWebTemplate.AbstractWebTemplate.setLinkSecure(String linkName, boolean isSecure) WebTemplate.setLinkSecure(String linkName, boolean isSecure) Indicate whether a secure connection is required for the link.AbstractWebTemplate.setLinkSeparatorCharacter(char separator) WebTemplate.setLinkSeparatorCharacter(char separator) Allows overriding the default separator character between the path and link.AbstractWebTemplate.setLogicClass(String logicClassName) WebTemplate.setLogicClass(String logicClassName) Specifies the logicClass.AbstractWebTemplate.setRedirectValuesFunction(String functionName) WebTemplate.setRedirectValuesFunction(String functionName) Specifies theMethodname on the logicClassto provide the values for redirect path parameters to thisWebTemplate.AbstractWebTemplate.setSuperTemplate(WebTemplate superTemplate) WebTemplate.setSuperTemplate(WebTemplate superTemplate) Specifies the super (parent)WebTemplate.Methods in net.officefloor.web.template.build with parameters of type WebTemplateModifier and TypeMethodDescriptionAbstractWebTemplate.setSuperTemplate(WebTemplate superTemplate) WebTemplate.setSuperTemplate(WebTemplate superTemplate) Specifies the super (parent)WebTemplate. -
Uses of WebTemplate in net.officefloor.web.template.type
Methods in net.officefloor.web.template.type that return WebTemplateModifier and TypeMethodDescriptionprotected WebTemplateWebTemplateLoaderImpl.addTemplate(boolean isSecure, String applicationPath, PropertyList properties) Methods in net.officefloor.web.template.type with parameters of type WebTemplateModifier and TypeMethodDescriptionWebTemplateLoader.loadWebTemplateType(WebTemplate template) Loads theWebTemplateTypefor theWebTemplate.WebTemplateLoaderImpl.loadWebTemplateType(WebTemplate webTemplate) -
Uses of WebTemplate in net.officefloor.woof.template
Methods in net.officefloor.woof.template that return WebTemplateModifier and TypeMethodDescriptionWoofTemplateExtensionSourceContext.getTemplate()Obtains theWebTemplatebeing extended.Methods in net.officefloor.woof.template with parameters of type WebTemplateModifier and TypeMethodDescriptionvoidWoofTemplateExtensionLoader.extendTemplate(WoofTemplateExtensionSource extensionSource, PropertyList properties, String applicationPath, WebTemplate template, OfficeArchitect officeArchitect, WebArchitect webArchitect, SourceContext sourceContext) Extends theWebTemplatewith theWoofTemplateExtensionSource.voidWoofTemplateExtensionLoaderImpl.extendTemplate(WoofTemplateExtensionSource extensionSource, PropertyList properties, String templatePath, WebTemplate template, OfficeArchitect officeArchitect, WebArchitect webArchitect, SourceContext sourceContext) static <S extends WoofTemplateExtensionSource>
voidWoofTemplateExtensionLoaderUtil.extendTemplate(Class<S> extensionSourceClass, String templatePath, WebTemplate template, OfficeArchitect officeArchitect, WebArchitect webArchitect, ClassLoader classLoader, ResourceSource[] resourceSources, String... propertyNameValues) Undertakes the extending of theWebTemplateby theWoofTemplateExtensionSource.static <S extends WoofTemplateExtensionSource>
voidWoofTemplateExtensionLoaderUtil.extendTemplate(Class<S> extensionSourceClass, String applicationPath, WebTemplate template, OfficeArchitect officeArchitect, WebArchitect webArchitect, String... propertyNameValues) Undertakes the extending of theWebTemplateby theWoofTemplateExtensionSource.